var curId=0;
function getCheckValToTxt(msgid)
{
	var txtval="";
	form=document.frmMain;
	for(var i = 0; i < form.elements.length; i++) {
		var e = form.elements[i];
		if(e.name.match(msgid)) {
			if(e.checked)
			{
				if(txtval=="")
				{
					txtval=e.value;
				}else{
					txtval+=","+e.value;
				}
			}
		}
	}
	return txtval;
}
//设置当前要编辑的Id号
function frmSetId(msgX)
{
	curId=msgX;
	if(document.frmMain.id)
	{
		document.frmMain.id.value=curId;
	}
	form=document.frmMain;
	for(var i = 0; i < form.elements.length; i++) {
		var e = form.elements[i];
		if(e.name.match("selid") || e.name.match("folderid")) {
			if(e.value==curId)
				e.checked=true;
			else
				e.checked=false;
		}
	}

}
//执行操作
function frmExecute(msgAct)
{
	switch(msgAct)
	{
		case "del":
		{

			frmDelete();
			break;
		}
		case "edit":
		{
			frmEdit();
			break;
		}
		case "save":
		{
			frmSave();
			break;
		}
		case "add":
		{
			frmAdd();
			break;
		}
		case "list":
		{
			frmList();
			break;
		}
		case "cancel":
		{
			history.back();
			break;
		}
		default:
		{
			document.frmMain.act.value=msgAct;
			document.frmMain.submit();
		}
	}
}


function frmDelete()
{
		if(confirm("是否要删除当前选定行？"))
		{
		document.frmMain.act.value="del";
		document.frmMain.submit();
		}


}
function frmEdit()
{
	if (!frmChkId())
	{
		alert("请选择一条要编辑的记录！");
	}
	else
	{
		document.frmMain.act.value="edit";
		document.frmMain.submit();

	}
}
function frmSave()
{
	document.frmMain.act.value="save";
	document.frmMain.submit();
}
function frmAdd()
{
	document.frmMain.id.value="0";
	document.frmMain.act.value="add";
	document.frmMain.submit();
}
function frmList()
{
	document.frmMain.act.value="list";
	document.frmMain.submit();
}

//全选
function frmSelAll(form)
{
	for(var i = 0; i < form.elements.length; i++) {
		var e = form.elements[i];
		if(e.name.match("selid")) {
			e.checked = form.elements['selidall'].checked;
			curId=e.value;
		}
	}
}
//检查当前是否选定了ID
function frmChkId()
{
	if(curId==0)
	{
		if(document.frmMain.id)
		{
			if(document.frmMain.id.value!="")curId=document.frmMain.id.value;
		}
	}
	if(curId!=0)
	{
		document.frmMain.id.value=curId;
		return true;
	}
	else
	{
		return false;
	}
}
function frmChkId_2()
{
	var obj=document.frmMain.selid;
	var i=0;
	var isId=false;
	if (curId!=0)
	{
		if(obj[0])
		{
			for(i=0;i<obj.length;i++)
			{
				if(obj[i].value==curId)
				{
					isId=true;
					obj[i].checked=true;
				}
				else
					obj[i].checked=false;
			}
		}
		else
		{
			if(obj.type=="hidden")
			{
				obj.value=curId;
				isId=true;
			}
			else if(obj.value==curId)
			{
				isId=true;
				obj.checked=true;
			}
		}
	}
	else
	{

		if(obj[0])
			for(i=0;i<obj.length;i++)
			{
				if(obj[i].checked)
				{
					isId=true;
					break;
				}
			}
		else
		{
			if(obj.type=="hidden")
			{
				if(obj.value!="")
					return true;
				else
					return false;
			}
			else
			{
				if(obj.checked)isId=true;
			}
		}
	}
	return isId;

}

function frmPage(msgPage)
{
	document.frmMain.act.value="";
	document.frmMain.page.value=msgPage;
	document.frmMain.submit();
}

function frmSearchBox()
{
	sysOpenDialog(fond_box);
}
function frmSearch()
{
	var strx;
	var strv;
	var i,j;
	strx=parent.location;
	j=encodeURI(strx).indexOf("?")
	if(j>0)
	{
		strv=encodeURI(strx).substring(0,j);
	}
	else
	{
		strv=strx
	}
	frmMain.action=strv;
	frmMain.target="_parent";
	return true;
}
